## haskell-permutation 0.5.0.5

=== tests/Makefile ===
all:
	ghc -O -i. -i../lib Main.hs --make -o test-permutation
	./test-permutation

hpc:
	ghc -fforce-recomp -i. -i../lib -fhpc --make Main.hs -o test-permutation
	rm -f test-permutation.tix
	./test-permutation
	hpc markup test-permutation

clean:
	find ../lib . -name '*.hi' | xargs rm -f
	find ../lib . -name '*.o'  | xargs rm -f
	find . -name '*.html' | xargs rm -f
	rm -f test-permutation test-permutation.tix
	rm -rf .hpc

=== debian/changelog ===
haskell-permutation (0.5.0.5-3build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Aug 2019 00:18:56 +0200

haskell-permutation (0.5.0.5-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:17:22 +0300

haskell-permutation (0.5.0.5-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:00 -0400

haskell-permutation (0.5.0.5-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sun, 09 Jul 2017 11:03:51 -0400

=== debian/control ===
Source: haskell-permutation
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
 cdbs,
 ghc,
 ghc-prof,
 libghc-quickcheck2-dev,
 libghc-quickcheck2-prof,
Build-Depends-Indep: ghc-doc,
 libghc-quickcheck2-doc,
Standards-Version: 4.1.4
Homepage: https://github.com/spacekitteh/permutation
X-Description: library for permutations and combinations
 This library includes data types for storing permutations and
 combinations.  It implements pure and impure types, the latter of
 which can be modified in-place.  The library uses aggressive
 inlining and MutableByteArray#s internally, so it is very
 efficient.
 .
 The main utility of the library is converting between the linear
 representation of a permutation and a sequence of swaps.  This
 allows, for instance, applying a permutation or its inverse
 to an array with O(1) memory use.
 .
 Much of the interface for the library is based on the permutation
 and combination functions in the GNU Scientific Library (GSL).

Package: libghc-permutation-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-permutation-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-permutation-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_SETUP_BIN_NAME = debian/hlibrary.setup
DEB_CABAL_PACKAGE = permutation
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
https://hackage.haskell.org/package/permutation/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
